System for installing command-line Unix applications and tools on OS X. Free and open-source.

learn more… | top users | synonyms

0
votes
1answer
11 views

How to install both Cocoa and X11 of Emacs (preferably with Homebrew)?

I want to try out and compare both the Cocoa- and X11-based versions of Emacs. In general, I try to install all such packages through Homebrew, but in this case it looks like I Homebrew requires me ...
0
votes
2answers
25 views

Upgrading from OS X 10.8.5 to Yosemite: Potential challenges

I have a Macbook Pro with OS X 10.8.5 currently installed. I have the corresponding Xcode as 5.1. Now In order to use Swift we need Xcode 6 and above which is only available for OSX 10.9 or later. ...
1
vote
1answer
24 views

Why so many homebrew package name with underscore

Just want to know why so many homebrew packages with underscore, are they beta release? Usually I don't install any packages with underscores, just want to know the reason behind it. Few example ...
0
votes
1answer
10 views

Brew install fails on gpg-agent?

Is there another way to get gpg-agent in? I need GPG2 signing for RVM in order to provision a server. The message bash-4.3$ brew install --vd gnupg2 ==> Installing dependencies for gnupg2: ...
2
votes
1answer
35 views

Fish shell installation using homebrew - iconv libiconv error

I am trying to install Fish shell using homebrew using command: brew install fish But the installation fails with the following error: ==> ./configure --prefix=/usr/local/Cellar/fish/2.1.1 ...
1
vote
0answers
17 views

Spotlight not finding .app created with appify

I've used a script called appify described here https://mathiasbynens.be/notes/shell-script-mac-apps to create /Applications/Emacs.app that runs the actual Emacs.app at ...
0
votes
1answer
23 views

Homebrew - brew docter command not working

When I installed wine I followed all the instructions, but then when I went to type 'brew docter' into terminal a error appears saying Error: Unknown command: docter I've tried uninstalling and ...
1
vote
1answer
34 views

Fixing a Messed Up $PATH in Yosimite

I had troubles installing node with Homebrew as Homebrew does something weird to the node install that installing Yeoman generators seems to be hindered a bit. My issue, however, is that I think ...
1
vote
1answer
32 views

Missing .Bash Files in ~/

While uninstalling/removing home-brew, node, and yeoman...I noted that I don't have a .bashrc or .bach_profile in my home directory. I only have .bash_history present. Why is this? Is this bad? If ...
2
votes
2answers
70 views

When upgrading to Yosemite from Mavericks are there any traps with Brew and Ports

Currently running Mavericks. Got a LOT of things installed through Homebrew and a handful through Ports. Are these going to survive the upgrade? What is best practice in this situation?
1
vote
2answers
84 views

Git autocompletion is not working with homebrew

Here is my setup: brew install git bash-completion Warning: git-2.1.3 already installed Warning: bash-completion-1.3 already installed In .bash_profile: if [ -f $(brew ...
1
vote
1answer
18 views

I can't install “lockfile-progs” which is necessary for “log check” by HOMEBREW on YOSEMITE

I have upgraded my Mac OS X to 10.10, Yosemite, but things go wrong. For other commands, I've succeeded to re-build those programs. However logcheck, which is installed by homebrew can't work well ...
1
vote
1answer
76 views

Installing gprof on Mac

I would like to install GNU Profiler (gprof) on Mac. I tried to install binutils using Homebrew; however, the package that Homebrew installs from the following address does not have gprof. ...
0
votes
0answers
26 views

Error: Could not symlink bin/dvipdf when installing Octave

Note: A question similar to this one was asked here about a week ago. I am attempting to install Octave on OS X Mavericks. I ran the following: brew install octave which resulted in this error: ...
20
votes
2answers
4k views

How to fix brew after its upgrade to Yosemite?

I faced some issue with Homebrew. I upgraded to Yosemite. After the upgrade, homebrew seems to be broken. I would run any brew command and get this error /usr/local/bin/brew: ...
2
votes
1answer
25 views

How to rename formula installed via Homebrew?

I installed gcc with homebrew: $ brew install gcc I can see the result: $ brew list ant gcc go libyaml postgresql tmux autoconf gdb isl mpfr python ...
0
votes
0answers
37 views

Problem installing Cairo - make[3]: *** [cairo-xlib-display.lo] Error 1

Need some help with installing Cairo Graphics using home-brew. Am I missing a step somewhere? 10:02:30-MaxAir@[~] $ brew install cairo Warning: Building source; cellar of cairo's bottle is ...
0
votes
0answers
35 views

Change gtk theme for X11 apps

I am using Zim note app http://zim-wiki.org in Ubuntu and I want to use the same in my OS X. So I've installed Zim and can launch it through X11 from menu. But all GTK apps look ugly: bad fonts w/o ...
0
votes
1answer
68 views

python version 2.7.8 can't run /usr/bin/easy_install. Try the alternative(s):

I'm doing a bunch of python development and also just updated OS to Mountain Lion. I had replaced to original Python versions with Snow Leopard using the GUI from Python.org, then added links in ...
0
votes
1answer
54 views

Terminal commands not found:

Short explanation. After I've created .bash_profile file and added the line export PATH=/PATH/TO/YOUR/sbt/bin:$PATH into it, my terminal stopped working properly. Could you please help me to fix the ...
1
vote
2answers
194 views

Trying to install Homebrew, but I get this “fatal: cannot create directory at 'Library/ENV/pkgconfig/10.10': Permission denied”

I am having issues with Brew. It was working fine, but now it's a little wonky. Tried re-installing, but I get this error:"fatal: cannot create directory at 'Library/ENV/pkgconfig/10.10': Permission ...
2
votes
0answers
12 views

Emacs does not auto restart after reboot?

I install Emacs via Homebrew and create a symbolic link: /Applications/Emacs.app -> /usr/local/Cellar/emacs/24.3/Emacs.app What does not seem to work properly is that after restarting, other ...
2
votes
1answer
26 views

Determine flags that were given for packages installed with homebrew

Is there a way to check what flags were given when a package was installed with homebrew? For example, the emacs formula has an absurd number of flags. If I did brew install emacs --with-glib ...
0
votes
1answer
172 views

Best Practices for dealing with unbrewed files in a fresh install of homebrew

I accidentally deleted /usr/local/bin which contained brew among other things. I reinstalled homebrew and ran brew prune to get rid of broken symlinks, but when I run brew doctor, I still get the ...
2
votes
4answers
2k views

phpMyAdmin 403 Forbidden Error after upgrade to Yosemite

I upgraded my Mac to Mac OS X Yosemite. I had a AMP stack installed via Homebrew on Mavericks and it worked fine. After upgrading to Yosemite, I have the following problems: when trying to load ...
0
votes
1answer
98 views

Firewall: Add command-line tool to rules (mosh-server)

How can I add a command line tool I've installed manually to the system firewall? The tool is Mobile Shell (mosh) installed via the excellent Homebrew)? Specifically, I want to add a rule for ...
1
vote
1answer
1k views

When trying to upgrade osxfuse, I get “missing DEVELOPER_DIR path” message

I recently installed Yosemite, and am now trying to upgrade all of my brew installs (brew update, then brew upgrade). After remembering to do xcode-select --install, I finally got all of my installs ...
1
vote
1answer
479 views

Error while trying to open new Emacs.app after upgrade to Yosemite

After upgrade to Yosemite I get this when trying to launch new Emacs app from command-line. I've spent yesterday trying to figure out what's the problem, so today I decided to ask here. ➜ ~ open -n ...
1
vote
0answers
33 views

brew install python without x code in snow leopard

I've been able to get brew to install many packages on Snow Leopard using just the gcc library without installing all of X-Code. I had installed Python as well as PosgreSQL from the gui installer and ...
3
votes
1answer
60 views

Can't re-install homebrew

I'm having a problem re-installing homebrew. I am running Mavericks It started with me trying to install express.js. Homebrew had been installed on my mac for quite some time, never had any trouble ...
3
votes
1answer
351 views

Need help using Homebrew 'Services' command

I installed MongoDB using homebrew recently. A few articles on the web advise to start mongo using the following command, brew services start mongo But when I use this command, I get the following ...
2
votes
1answer
135 views

How to repair Homebrew permissions after installing as root?

I run brew as root, now it's defunct. No updates anymore. How to fix? $ brew update && brew upgrade error: Unable to append to .git/logs/HEAD: Permission denied error: Unable to append to ...
0
votes
1answer
68 views

How can I update my version of `unzip` to version 6.00 or higher?

Its a common problem that, when unzipping (read: 'open by double-click'), some .zip files result in a similar sized .cpgz file. But you expected an unzipped file or folder instead. The default unzip ...
0
votes
1answer
49 views

Why my brew does not work?

I installed brew before, but it does not work now. When I run brew, it give me the error -bash: brew: command not found So I tried to reinstall using the code ruby -e "$(curl -fsSL ...
1
vote
2answers
60 views

Update apps with home-brew (youtube-dl)

Mainly i want to update youtube-dl on my mac. I have used Linux so for that updating any app is very simple: apt-get update youtube-dl. But how to do it on Mac using home-brew. Is there any kind of ...
2
votes
2answers
1k views

brew bundle reporting “Error: unknown command: bundle”

I'm completely puzzled by this one. I have refactored my install scripts to use the new brew bundle feature. However, I'm getting "Error: unknown command: bundle" $ which brew /usr/local/bin/brew $ ...
0
votes
0answers
44 views

How to update OpenSSL with Homebrew on OS X 10.9.5?

Before updating OS X from 10.9.4 to x.x.5, I had OpenSSL updated through Homebrew to 1.0.1g. (I guess only symlinks are changed and both versions existed on the machine) With the OS update, the ...
2
votes
0answers
52 views

MacVim: difference in syntax highlighting in terminal and GUI

I installed MacVim with homebrew, and specified the option to override system vim. It can be confirmed by looking at the version of vim in terminal. However, I don't understand why the terminal ...
2
votes
1answer
18 views

Where does homebrew download software from?

I love how homebrew makes my life easier! Though, I just realized that I don't really know who is "signing off" the stuff I get installed through it. So, I ask: Is there a central repo (like Linux ...
0
votes
3answers
202 views

Where can I find the installed package path via brew

I installed some packages via brew. But I can not find where is it. I can NOT get access by typing hping on terminal % brew install hping ...
2
votes
1answer
112 views

Updating and running Git through Homebrew instead of XCode

On my new 2014 Mac (OS X 10.9 Mavericks), I have just installed Git using Homebrew. In order to install Homebrew, I had to download and install XCode 5. So now, when I enter the command which git, I ...
0
votes
1answer
137 views

Suddenly I cannot update HomeBrew

I am trying to fix some brew doctor error but now after manually erased some files that brew doctor suggested I get the following error when trying to do a brew update : error: cannot open ...
1
vote
1answer
85 views

Terminal “LoadModule” - command not found

I installed via homebrew the new php56 version. To activate it and use it I typed this in the Terminal: LoadModule php5_module /usr/local/opt/php56/libexec/apache2/libphp5.so But it says: ...
2
votes
1answer
100 views

Is there a command like namei for OS X?

I'm sifting through some incorrect permission issues and discovered the namei command for Linux. Homebrew doesn't currently have a Mac port. namei - follow a pathname until a terminal point is ...
-1
votes
2answers
105 views

Fatal error after brew update and brew upgrade

$ brew update Error: Permission denied - /usr/local/Library/Formula/abyss-explorer.rb $ brew upgrade ==> Upgrading 20 outdated packages, with result: ant 1.9.4, automake 1.14.1, elasticsearch ...
1
vote
0answers
130 views

Way to determine most popular Homebrew packages?

Is there a way to determine which Homebrew packages have been installed the most times, either in the recent past or all-time? It would make it easier to determine which formulae are the most useful, ...
1
vote
1answer
119 views

Striving to become power user on OS X (coming from Windows)

I'm a long time Windows developer guy & did lots of lower-level stuff (hesitate to say power user). I'm very proficient on the command line and using PowerShell... but now that I've moved over to ...
0
votes
0answers
60 views

How to launch Gnumeric after installing using Homebrew

I've installed Gnumeric using Homebrew. I first manually installed XQuartz (as required) and then ran brew install gnumeric. Everything seems to have installed fine. Now how do I launch it? When I ...
1
vote
3answers
2k views

Issue installing GCC using homebrew (scipy package dependency)

I am attempting to install the scipy (Scientific Python, including matplotlib) package using homebrew, and I noticed that it fails when it needs to install a dependency (gcc version 4.9.0). I ...
1
vote
1answer
64 views

Apt-get install tomcat7

I am currently running Mavericks. I have a Drupal7 Virtual Machine running (on VirtualBox). I am trying to install a tomcat7 server onto the VM. I have used the Terminal to SSH and login to my Drupal7 ...